Retrieve CWT credential revocation status
Roles
/v2/credentials/compact/{id}/revocation-statusRetrieve the revocation status of a CWT credential by providing its ID.
Authorization
bearerAuth In: header
Path Parameters
Unique credential identifier.
Response Body
application/json
application/json
curl -X GET "https://example.vii.au01.mattr.global/v2/credentials/compact/string/revocation-status"{
"isRevoked": true
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Update CWT credential revocation status POST
Updates the credential status as revoked (invalid) or unrevoked (valid). ### **Analytic events** * CREDENTIAL_COMPACT_REVOCATION_SET_STATUS_START * CREDENTIAL_COMPACT_REVOCATION_SET_STATUS_SUCCESS * CREDENTIAL_COMPACT_REVOCATION_SET_STATUS_FAIL
Retrieve all CWT credential revocation lists GET
Returns a list of all CWT credential revocation lists on the tenant. ### **Analytic events** * CREDENTIAL_COMPACT_REVOCATION_LISTS_RETRIEVE_START * CREDENTIAL_COMPACT_REVOCATION_LISTS_RETRIEVE_SUCCESS * CREDENTIAL_COMPACT_REVOCATION_LISTS_RETRIEVE_FAIL